$text-white: #fff;

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "HelveticaNeueCyr", sans-serif;
}

html,
body {
  position: relative;
  height: 100%;
  line-height: 1.2224;
  font-family: "HelveticaNeueCyr", sans-serif;
  background-color: #fff;
}

.wrap {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1 1 auto;
  background-color: #fafafc;
}

.container {
  max-width: 1140px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
}

.d-flex {
  display: flex;
}

.align-center {
  align-items: center;
}

ul,
li {
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.3;
  color: #253042;
  letter-spacing: -0.231818px;
}

h1,
h2 {
  font-size: 96px;
}

h3 {
  font-size: 48px;
}

h4 {
  font-size: 32px;
}

h5 {
  font-size: 24px;
}

p {
  line-height: 1.2124;
}

button,
.btn {
  background: #1e6eeb;
  border: none;
  border-radius: 1.8rem;
  padding: 6px 25px 6px;
  text-decoration: none;
  color: $text-white;
  line-height: 1;
  font-size: 16px;
  line-height: 1.5;
  display: inline-block;
  cursor: pointer;
  border: 2px solid #1e6eeb;
  transition: 0.15s ease;
  letter-spacing: 0.6px;
  &:hover {
    background-color: transparent;
    color: #1e6eeb;
  }
}

.btn-square {
  border-radius: 8px;
  background-color: #1e6eeb;
  padding: 14px 40px;
}

img {
  max-width: 100%;
  object-fit: cover;
  display: block;
}

.fixphone {
  position: fixed;
  bottom: 30px;
  left: 30px;
  a {
    width: 68px;
    height: 68px;
    background-color: #1e6eeb;

    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    text-decoration: none;
    color: $text-white;
    font-size: 23px;
    animation: ring 3.3s ease infinite, fixphone 1.5s infinite;
    transition: 0.1s linear;
  }
}

@keyframes fixphone {
  0% {
    box-shadow: 0 0 0 0 #7fabf1, 0 0 0 0 #7fabf1;
  }

  80% {
    box-shadow: 0 0 0 10px #fff0, 0 0 0 20px #fff0;
  }

  100% {
    box-shadow: 0 0 0 0 #fff0, 0 0 0 0 #fff0;
  }
}

@keyframes ring {
  0% {
    transform: rotate(-15deg);
  }

  2% {
    transform: rotate(15deg);
  }

  4% {
    transform: rotate(-18deg);
  }

  6% {
    transform: rotate(18deg);
  }

  8% {
    transform: rotate(-22deg);
  }

  10% {
    transform: rotate(22deg);
  }

  12% {
    transform: rotate(-18deg);
  }

  14% {
    transform: rotate(18deg);
  }

  16% {
    transform: rotate(-12deg);
  }

  18% {
    transform: rotate(12deg);
  }

  20% {
    transform: rotate(0deg);
  }
}

input,
textarea {
  border: 1px solid transparent;
  border-radius: 15px;
  padding: 10px 15px;
  font-size: 16px;
  &::placeholder {
    color: #abb5be;
  }
}

textarea {
  resize: none;
}

// Main styles

.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 4;
  background: transparent;
  backdrop-filter: blur(0);
  transition: 0.2s ease;
  &-inner {
    padding: 13px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  &-left {
    display: flex;
    align-items: center;
  }
  &-right {
    display: flex;
    align-items: center;
  }
  &-logo {
    margin-right: 30px;
  }
  &-menu {
    ul {
      display: flex;
      list-style: none;
      li {
        margin: 0 15px;
        a {
          padding: 0 5px;
          text-decoration: none;
          color: #253042;
          font-weight: 500;
          transition: 0.1s linear;
          &:hover {
            color: #1e6eeb;
          }
        }
      }
    }
  }
}

.header.fixed {
  background: rgba(255, 255, 255, 0.85);
  backdrop-filter: blur(13px);
}

// Header End

.banner {
  background: url("../images/banner/gradient.png") no-repeat center;
  background-size: cover;
  padding-top: 80px;
  padding-bottom: 80px;
  margin-bottom: 100px;
  position: relative;
  &:after {
    content: "";
    background: rgba(255, 255, 255, 0.44);
    // backdrop-filter: blur(81px);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
  }
  &-inner {
    position: relative;
    padding: 30px 0 0;
  }
  &-item {
    display: flex;
    align-items: center;
    height: calc(100vh - 240px);
  }
  &-text {
    font-size: 96px;
    line-height: 1.2;
    font-weight: 100;
    margin-right: 20px;
    text-transform: uppercase;
    color: #253042;
    position: relative;
    left: -50px;
    transition: 0.3s ease 350ms;
    opacity: 0;
  }
  &-img {
    max-width: 453px;
    width: 100%;
    position: relative;
    right: -50px;
    transition: 0.3s ease 350ms;
    opacity: 0;
  }
  .owl-carousel .owl-item.active {
    .banner-text {
      left: 0;
      opacity: 1;
    }
    .banner-img {
      right: 0;
      opacity: 1;
    }
  }
}

// Banner end

.service {
  margin-bottom: 100px;
  &-inner {
  }
  h4 {
    margin-bottom: 30px;
  }
  &-list {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 30px;
  }
  &-item {
    flex: 1 1 calc(33.33% - 30px);
    background-color: #fff;
    padding: 44px 50px;
    border: 1px solid rgba(0, 0, 0, 0.15);
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.08);
    border-radius: 20px;
    position: relative;
    transition: 0.2s linear 15ms;
    cursor: pointer;
    &:after {
      content: "";
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
      height: 95px;
      width: 5px;
      background-color: #1e6eeb;
    }
    &:hover {
      background-color: #1e6eeb;
      border: 1px solid #1e6eeb;
      .service-title,
      .service-icon {
        color: $text-white;
      }
    }
    &:nth-child(3n) {
      text-align: right;
      .service-title {
        margin-right: 0;
        margin-left: auto;
      }
    }
    &:nth-child(3n-7) {
      text-align: center;
      .service-title {
        margin: auto;
      }
    }
  }
  &-item.smaller {
    flex: 1 1 calc(26.33% - 30px);
  }
  &-item.larger {
    flex: 1 1 calc(40.33% - 30px);
  }
  &-icon {
    font-size: 56px;
    margin-bottom: 20px;
    transition: 0.2s linear 10ms;
  }
  &-title {
    font-size: 20px;
    max-width: 170px;
    margin-left: 0;
    font-weight: 500;
    transition: 0.2s linear 10ms;
  }
}

.work {
  margin-bottom: 100px;
  h4 {
    margin-bottom: 30px;
  }
  &-list {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    .w-50 {
      width: calc(50% - 10px);
    }
  }
  &-item {
    position: relative;
    width: 100%;
    &:hover {
      .work-teaser {
        opacity: 1;
        visibility: visible;
      }
    }
  }
  &-teaser {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0 30px;
    background-color: rgba(30, 30, 30, 0.78);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;
    transition: 0.25s ease;
  }
  &-title {
    font-size: 36px;
    margin-bottom: 10px;
  }
  &-desc {
    font-size: 16px;
    line-height: 1.3;
  }
  &-title,
  &-desc {
    max-width: 390px;
    text-align: center;
    color: $text-white;
  }
  img {
    width: 100%;
    height: 100%;
    max-width: inherit;
  }
  a {
    margin-top: 20px;
  }
}

// Work end

.review {
  margin-bottom: 100px;
  &-inner {
    display: flex;
    position: relative;
    gap: 60px;
    &:after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      right: 0;
      background: url("../images/review/review.jpg") no-repeat center / cover;
      height: 200px;
      z-index: -1;
    }
  }
  &-teaser {
    max-width: 500px;
    width: 100%;
    padding-bottom: 330px;
    h3 {
      margin-bottom: 20px;
    }
    p {
      font-size: 16px;
      line-height: 1.5;
      color: rgba(37, 48, 66, 0.65);
    }
  }
  &-contact {
    margin-top: 50px;
    h5 {
      margin-bottom: 30px;
    }
  }
  &-list {
    height: auto;
    position: relative;
    overflow: hidden;
    padding-bottom: 60px;
    padding-right: 20px;
  }
  &-slider {
    width: 100%;
    height: 100%;
    padding-left: 30px;
  }
  .swiper {
    &-slide {
    }
  }
  &-item {
    display: flex;
    align-items: center;
    padding: 25px 25px;
    gap: 20px;
    background-color: #fff;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.03);
    border-radius: 12px;
  }
  &-comment {
    padding-top: 45px;
    position: relative;
    &:before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 30px;
      height: 30px;
      background: url("../images/review/quote.svg") no-repeat center / contain;
    }
    p {
      font-weight: 500;
      font-size: 16px;
      line-height: 1.25;
      color: rgba(37, 48, 66, 0.65);
    }
  }
  &-info {
    display: flex;
    gap: 20px;
    margin-top: 15px;
  }
  &-name {
    font-weight: bold;
    font-size: 18px;
    line-height: 1.2222222;
    letter-spacing: -0.231818px;
    color: #253042;
  }
  &-company {
    font-weight: bold;
    font-size: 18px;
    line-height: 1.2222222;
    letter-spacing: -0.231818px;
    color: rgba(37, 48, 66, 0.65);
  }
  &-img {
    border-radius: 50%;
    overflow: hidden;
    min-width: 100px;
    min-height: 100px;
    max-width: 100px;
    max-height: 100px;
  }
  .swiper-pagination-vertical.swiper-pagination-bullets,
  .swiper-vertical > .swiper-pagination-bullets {
    right: inherit;
    left: 0;
    top: 43px;
  }
  .swiper-pagination-vertical.swiper-pagination-bullets
    .swiper-pagination-bullet,
  .swiper-vertical > .swiper-pagination-bullets .swiper-pagination-bullet {
    background: rgba(30, 110, 235, 0.3);
    border-radius: 3px;
    height: 16px;
    width: 4px;
    background: #1e6eeb;
  }
  .swiper-pagination-bullet-active {
    height: 36px !important;
    opacity: 1 !important;
  }
}

// Review end

.technology {
  margin-bottom: 100px;
  &-inner {
  }
  h4 {
    margin-bottom: 25px;
  }
  &-tab {
    &Picker {
      display: flex;
      margin-bottom: 43px;
      &Item,
      &ItemAll {
        padding: 7px 10px;
        padding-left: 30px;
        margin-right: 30px;
        position: relative;
        cursor: pointer;
        &::before {
          content: "";
          position: absolute;
          left: 0;
          top: 50%;
          transform: translateY(-50%);
          border: 1px solid #717884;
          border-radius: 2px;
          background-color: #fff;
          width: 16px;
          height: 16px;
          transition: 0.1s ease;
        }
        &::after {
          content: "";
          position: absolute;
          left: 3px;
          top: 49%;
          background: white;
          width: 2px;
          height: 2px;
          box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white,
            4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
          transform: rotate(45deg) translateY(-50%);
        }
      }
      &Item--active {
        &::before {
          background-color: #1e6eeb;
          border: 1px solid #1e6eeb;
        }
      }
    }
    &Body {
      display: flex;
      &Item {
        text-align: center;
        max-width: 80px;
      }
      &Img {
        margin-bottom: 25px;
      }
    }
  }
}

// Technology end

.blog {
  margin-bottom: 100px;
  h4 {
    text-align: center;
    margin-bottom: 30px;
  }
  &-list {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 30px;
  }
  &-item {
    flex: 1 1 calc(33.333333333% - 30px);
    overflow: hidden;
    &:hover {
      .blog-img {
        img {
          transform: scale(1.07);
          opacity: 1;
        }
      }
    }
  }
  &-img {
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    img {
      transition: 0.2s linear;
      width: 100%;
      min-height: 192px;
      max-height: 192px;
      opacity: 0.9;
      flex: 1 1 auto;
    }
  }
  &-teaser {
    // padding: 20px 17px;
  }
  &-type {
    margin-top: 12px;
    font-weight: 500;
    font-size: 12px;
    text-transform: uppercase;
    color: rgba(37, 48, 66, 0.65);
  }
  &-title {
    margin-top: 8px;
    font-size: 18px;
    line-height: 1.2;
    color: #253042;
    min-height: 44px;
  }
  &-desc {
    margin-top: 12px;
    font-size: 16px;
    line-height: 1.3;
    color: rgba(37, 48, 66, 0.65);
  }
  &-bottom {
    display: flex;
    justify-content: space-between;
    margin-top: 17px;
    font-size: 14px;
    line-height: 1.2;
    color: rgba(37, 48, 66, 0.35);
    a {
      color: #1e6eeb;
      text-decoration: none;
      transition: 0.2s ease;
      font-weight: bold;
      &:hover {
        color: #2d37488f;
      }
    }
  }
}

// Blog end

.solution {
  margin-bottom: 100px;
  &-inner {
  }
  h4 {
    text-align: center;
    margin-bottom: 50px;
  }
  &-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
  }
  &-item {
    flex: 1 1 calc(20% - 50px);
    margin-bottom: 20px;
    img {
      margin: auto;
    }
  }
}

// Solution end

.contact {
  background: url("../images/contact/gradient.png") no-repeat center;
  background-size: cover;
  padding-top: 45px;
  padding-bottom: 55px;
  // backdrop-filter: blur(81px);
  &-inner {
  }
  &-top {
    display: flex;
    justify-content: space-between;
    h4 {
      margin-bottom: 10px;
    }
  }
  &-quote {
    font-size: 24px;
    line-height: 1.2;
  }
  &-form {
    margin-top: 50px;
    max-width: 310px;
    &Item {
      margin-top: 18px;
      &:last-child {
        margin-top: 40px;
      }
      input,
      textarea {
        width: 100%;
        border: 2px solid transparent;
        transition: 0.1s linear;
        outline: none;
        &:focus-visible {
          border: 2px solid #1e6debab;
          &::placeholder {
            color: #1e6deb9a;
          }
        }
      }
    }
  }
  &-bottom {
    text-align: center;
    font-size: 16px;
    margin-top: 40px;
    a {
      display: flex;
      align-items: center;
      justify-content: center;
      text-decoration: none;
      color: #253042;
      letter-spacing: -0.231818px;
      font-weight: 500;
      span {
        font-weight: 400;
      }
      &:hover {
        opacity: 0.9;
      }
    }
    span {
      font-size: 24px;
      display: inline-block;
      margin-left: 30px;
    }
  }

  .iti {
    display: block;
  }

  .iti__selected-flag,
  .iti--allow-dropdown .iti__flag-container:hover .iti__selected-flag {
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
    background-color: rgb(255, 255, 255);
  }

  .iti__flag-container {
    padding: 2px;
  }

  .iti__country-list {
    border-radius: 15px;
    border: none;
    margin-top: 3px;
  }

  .iti__country.iti__highlight {
    background-color: #3d87ff4f;
  }

  .iti__country-list::-webkit-scrollbar {
    width: 5px;
    top: 20px;
  }

  .iti__country-list::-webkit-scrollbar-track {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .iti__country-list::-webkit-scrollbar-thumb {
    background-color: #1e6eeb;
    border-radius: 15px;
  }

  .iti__flag {
    background-image: url("../images/contact/flags.png");
  }

  @media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .iti__flag {
      background-image: url("../images/contact/flags@2x.png");
    }
  }
}

// Contact end

.footer {
  background-color: #fff;
  color: #1d1d1f;
  overflow: hidden;
  &-inner {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  &-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 70px 0 50px;
  }
  &-menu {
    ul {
      list-style: none;
      display: flex;
      gap: 100px;
      li {
        a {
          padding: 5px 0;
          color: #0a142f;
          text-decoration: none;
          transition: 0.1s linear;
          &:hover {
            color: #1e6eeb;
          }
        }
      }
    }
  }
  &-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 40px 0 45px;
    position: relative;
    &:after {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      height: 1px;
      background-color: rgba(0, 0, 0, 0.15);
      opacity: 0.2;
    }
  }
  &-social {
    ul {
      list-style: none;
      display: flex;
      gap: 30px;
      overflow: hidden;
      li {
        margin-right: -9px;
        &:nth-child(1) {
          margin-right: 2px;
          a {
            &:hover {
              color: rgba(66, 103, 178, 1);
            }
          }
        }
        &:nth-child(2) {
          a {
            &:hover {
              color: rgba(0, 172, 238, 1);
            }
          }
        }
        &:nth-child(3) {
          a {
            &:hover {
              color: rgba(205, 72, 107, 1);
            }
          }
        }
        a {
          text-decoration: none;
          color: #1d1d1f;
          font-size: 20px;
          padding: 7px 9px;
          display: inline-block;
          transition: 0.1s linear;
        }
      }
    }
  }
  &-copyright {
    font-size: 14px;
    flex: 1 1 25%;
  }
  &-logo {
    flex: 1 1 auto;
    display: flex;
    justify-content: center;
  }
  &-phone {
    flex: 1 1 25%;
    text-align: right;
    a {
      color: #0a142f;
      text-decoration: none;
      transition: 0.1s linear;
      &:hover {
        color: #1e6eeb;
      }
    }
  }
}
